import { Component, OnInit, Input } from '@angular/core';
import { CommonService } from '../../services/common/common.service';

@Component({
  selector: 'app-generic-header',
  templateUrl: './generic-header.component.html',
  styleUrls: ['./generic-header.component.scss'],
})
export class GenericHeaderComponent implements OnInit {
  @Input() userImage = '';
  @Input() showImage = false;
  @Input() showMenu = false;
  @Input() showBack = false;
  @Input() navigate = true;
  @Input() headerText = '';
  @Input() backLink: string;


  constructor(public common: CommonService) { }

  ngOnInit() {}

  openProfilePage() {
    this.common.openEditProfile();
  }

}
